Get watermark preview
Update the watermark for the account.
Note: Many of the request fields must be set to specific values. If you use an invalid value for one of these fields, the endpoint may return 200 OK but set the field to a default value. See the request body for more information.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: watermark
The display angle of the watermark. Valid values:
- 0 (horizontal)
- 45 (diagonal)
- 90 (vertical)
When true, the watermark will be applied to documents that are still in progress. When false, the watermark will not be applied.
The watermark’s font. Valid values:
courierhelveticatimesnewroman
The watermark’s font color. Valid values:
blackblueredgrayyellow
The watermark’s font size. Valid values:
30405060708090
The Base64 representation of the watermark image.
This property is read-only.
The transparency percentage of the watermark image. Valid values:
51015202530354045
Response
The display angle of the watermark. Valid values:
- 0 (horizontal)
- 45 (diagonal)
- 90 (vertical)
When true, the watermark will be applied to documents that are still in progress. When false, the watermark will not be applied.
The watermark’s font. Valid values:
courierhelveticatimesnewroman
The watermark’s font color. Valid values:
blackblueredgrayyellow
The watermark’s font size. Valid values:
30405060708090
The Base64 representation of the watermark image.
This property is read-only.
The transparency percentage of the watermark image. Valid values:
51015202530354045